Problème d'installation OfficeOnly

Mon serveur YunoHost

Matériel: ordinateur portable de 4 ans
Version de YunoHost: 3.6.4.6
J’ai accès à mon serveur : En SSH, webadmin et même avec un clavier/écran
Applications : Nextcloud,PhpAdmin,FreshRSS et Rainloop

Bonjour à tou.te.s,

J’essaie d’installer Onlyoffice pour qu’on puisse en famille facilement éditer des fichiers en ligne stockés sur Nextcloud. je me retrouve avec une erreur à la fin de l’installation vers 93%. N’étant pas très familier avec les logs, je cherche une bonne âme pour m’aider à gérer ce problème pour pouvoir installer Onlyoffice.

Voici le message :
2019-09-02 13:50:54,818: DEBUG - Hint: Some lines were ellipsized, use -l to show in full.
2019-09-02 13:50:54,818: DEBUG - dpkg: erreur de traitement du paquet rabbitmq-server (–configure) :
2019-09-02 13:50:54,818: DEBUG - le sous-processus script post-installation installé a retourné une erreur de sortie d’état 1
2019-09-02 13:50:54,818: DEBUG - Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u4) …
2019-09-02 13:50:55,019: DEBUG - Traitement des actions différées (« triggers ») pour systemd (232-25+deb9u11) …
2019-09-02 13:50:55,320: DEBUG - Des erreurs ont été rencontrées pendant l’exécution :
2019-09-02 13:50:55,320: DEBUG - rabbitmq-server
2019-09-02 13:50:55,621: DEBUG - + ynh_die ‘–message=Unable to install dependencies’
2019-09-02 13:50:55,621: WARNING - E: Sub-process /usr/bin/dpkg returned an error code (1)
2019-09-02 13:50:55,621: DEBUG - + local legacy_args=mc
2019-09-02 13:50:55,621: WARNING - Unable to install dependencies
2019-09-02 13:50:55,621: DEBUG - + args_array=([m]=message= [c]=ret_code=)
2019-09-02 13:50:55,622: DEBUG - + declare -Ar args_array
2019-09-02 13:50:55,622: DEBUG - + local message
2019-09-02 13:50:55,622: DEBUG - + local ret_code
2019-09-02 13:50:55,622: DEBUG - + ynh_handle_getopts_args ‘–message=Unable to install dependencies’
2019-09-02 13:50:55,622: DEBUG - + set +x
2019-09-02 13:50:55,622: DEBUG - + echo ‘Unable to install dependencies’
2019-09-02 13:50:55,622: DEBUG - + exit 1
2019-09-02 13:50:55,622: DEBUG - + ynh_exit_properly
2019-09-02 13:50:55,622: DEBUG - + local exit_code=1
2019-09-02 13:50:55,622: DEBUG - + ‘[’ 1 -eq 0 ‘]’
2019-09-02 13:50:55,623: DEBUG - + trap ‘’ EXIT
2019-09-02 13:50:55,623: DEBUG - + set +eu
2019-09-02 13:50:55,623: DEBUG - + sleep 0.5
2019-09-02 13:50:56,124: DEBUG - + ynh_print_err ‘–message=!!\n onlyoffice’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-09-02 13:50:56,125: WARNING - e[91me[1m[ERR]e[0m !!
2019-09-02 13:50:56,125: DEBUG - + local legacy_args=m
2019-09-02 13:50:56,125: WARNING - onlyoffice’s script has encountered an error. Its execution was cancelled.
2019-09-02 13:50:56,125: DEBUG - + args_array=([m]=message=)
2019-09-02 13:50:56,126: WARNING - !!
2019-09-02 13:50:56,126: DEBUG - + declare -Ar args_array
2019-09-02 13:50:56,126: WARNING -
2019-09-02 13:50:56,126: DEBUG - + local message
2019-09-02 13:50:56,126: DEBUG - + ynh_handle_getopts_args ‘–message=!!\n onlyoffice’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-09-02 13:50:56,127: DEBUG - + set +x
2019-09-02 13:50:56,127: DEBUG - + ynh_print_log ‘\e[91m\e[1m[ERR]\e[0m !!\n onlyoffice’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-09-02 13:50:56,127: DEBUG - + echo -e ‘\e[91m\e[1m[ERR]\e[0m !!\n onlyoffice’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-09-02 13:50:56,127: DEBUG - + ‘[’ api == cli ‘]’
2019-09-02 13:50:56,127: DEBUG - + type -t ynh_clean_setup
2019-09-02 13:50:56,127: DEBUG - + ynh_die
2019-09-02 13:50:56,127: DEBUG - + local legacy_args=mc
2019-09-02 13:50:56,127: DEBUG - + args_array=([m]=message= [c]=ret_code=)
2019-09-02 13:50:56,128: DEBUG - + declare -Ar args_array
2019-09-02 13:50:56,128: DEBUG - + local message
2019-09-02 13:50:56,128: DEBUG - + local ret_code
2019-09-02 13:50:56,128: DEBUG - + ynh_handle_getopts_args
2019-09-02 13:50:56,128: DEBUG - + set +x
2019-09-02 13:50:56,128: DEBUG - + echo ‘’
2019-09-02 13:50:56,128: DEBUG - + exit 1

Merci d’avance

Le probleme semble être lié à :

Mais le vrai message est plus haut dans les logs … est-ce que tu as le reste des logs ? (N.B. : Depuis les écrans de log dans Outils > Journaux, tu peux partager le log avec le bouton vert “Partager avec Yunopaste”)

Oui pas de soucis voici le lien yunipaste Ici

1 Like

ping @ljf, est-ce que ça te parle ?

Je crois que j’ai un problème similaire, mais je ne sais pas si il est lié au tiens. De ce que je comprends, c’est aussi un problème de dépendances, mais peut-être un peu différent.

J’ai essayé d’installer onlyoffice (après avoir mis à jour yunohost aujourd’hui) mais l’installation échoue, et voilà les logs dans mon cas:

description: Install 'onlyoffice' application
log_path: /var/log/yunohost/categories/operation/20190908-142820-app_install-onlyoffice.log
logs: 
  - 2019-09-08 16:28:30,326: DEBUG - + local legacy_args=m
  - 2019-09-08 16:28:30,326: WARNING -   onlyoffice's script has encountered an error. Its execution was cancelled.
  - 2019-09-08 16:28:30,326: DEBUG - + args_array=([m]=message=)
  - 2019-09-08 16:28:30,327: WARNING - !!
  - 2019-09-08 16:28:30,327: DEBUG - + declare -Ar args_array
  - 2019-09-08 16:28:30,327: WARNING - Please find here an extract of the log before the crash:
  - 2019-09-08 16:28:30,327: DEBUG - + local message
  - 2019-09-08 16:28:30,327: WARNING - [DEBUG]: DEBUG   -   libcurl3-dbg libidn11-dev libkrb5-dev libldap2-dev libnss3-dev librtmp-dev
  - 2019-09-08 16:28:30,327: DEBUG - + ynh_handle_getopts_args '--message=!!\n  onlyoffice'\''s script has encountered an error. Its execution was cancelled.\n!!'
  - 2019-09-08 16:28:30,327: WARNING - [DEBUG]: DEBUG   -   libssh2-1-dev pkg-config
  - 2019-09-08 16:28:30,328: DEBUG - + set +x
  - 2019-09-08 16:28:30,328: WARNING - [DEBUG]: DEBUG   - The following packages will be REMOVED:
  - 2019-09-08 16:28:30,328: DEBUG - + ynh_print_log '\e[91m\e[1m[ERR]\e[0m !!\n  onlyoffice'\''s script has encountered an error. Its execution was cancelled.\n!!'
  - 2019-09-08 16:28:30,328: WARNING - [DEBUG]: DEBUG   -   discourse-ynh-deps libcurl4-openssl-dev
  - 2019-09-08 16:28:30,328: DEBUG - + echo -e '\e[91m\e[1m[ERR]\e[0m !!\n  onlyoffice'\''s script has encountered an error. Its execution was cancelled.\n!!'
  - 2019-09-08 16:28:30,328: WARNING - [DEBUG]: DEBUG   - The following NEW packages will be installed:
  - 2019-09-08 16:28:30,328: DEBUG - + '[' cli == cli ']'
  - 2019-09-08 16:28:30,329: WARNING - [DEBUG]: DEBUG   -   erlang-asn1 erlang-base erlang-corba erlang-crypto erlang-diameter
  - 2019-09-08 16:28:30,329: DEBUG - + set +x
  - 2019-09-08 16:28:30,329: WARNING - [DEBUG]: DEBUG   -   erlang-edoc erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic
  - 2019-09-08 16:28:30,329: DEBUG - + type -t ynh_clean_setup
  - 2019-09-08 16:28:30,329: WARNING - [DEBUG]: DEBUG   -   erlang-inets erlang-mnesia erlang-nox erlang-odbc erlang-os-mon
  - 2019-09-08 16:28:30,329: DEBUG - + ynh_die
  - 2019-09-08 16:28:30,329: WARNING - [DEBUG]: DEBUG   -   erlang-parsetools erlang-percept erlang-public-key erlang-runtime-tools
  - 2019-09-08 16:28:30,329: DEBUG - + local legacy_args=mc
  - 2019-09-08 16:28:30,330: WARNING - [DEBUG]: DEBUG   -   erlang-snmp erlang-ssh erlang-ssl erlang-syntax-tools erlang-tools
  - 2019-09-08 16:28:30,330: DEBUG - + args_array=([m]=message= [c]=ret_code=)
  - 2019-09-08 16:28:30,330: WARNING - [DEBUG]: DEBUG   -   erlang-xmerl libcurl3-nss libcurl4-nss-dev libnspr4 libnss3 rabbitmq-server
  - 2019-09-08 16:28:30,330: DEBUG - + declare -Ar args_array
  - 2019-09-08 16:28:30,330: WARNING - [DEBUG]: DEBUG   - 0 upgraded, 30 newly installed, 2 to remove and 1 not upgraded.
  - 2019-09-08 16:28:30,330: DEBUG - + local message
  - 2019-09-08 16:28:30,330: WARNING - [DEBUG]: WARNING - E: Packages need to be removed but remove is disabled.
  - 2019-09-08 16:28:30,331: DEBUG - + local ret_code
  - 2019-09-08 16:28:30,331: WARNING - [DEBUG]: DEBUG   - + ynh_die '--message=Unable to install dependencies'
  - 2019-09-08 16:28:30,331: DEBUG - + ynh_handle_getopts_args
  - 2019-09-08 16:28:30,331: WARNING - [DEBUG]: WARNING - Unable to install dependencies
  - 2019-09-08 16:28:30,331: DEBUG - + set +x
  - 2019-09-08 16:28:30,331: WARNING - [DEBUG]: DEBUG   - + local legacy_args=mc
  - 2019-09-08 16:28:30,331: DEBUG - + echo ''
  - 2019-09-08 16:28:30,331: WARNING - [DEBUG]: DEBUG   -=ret_code=)
  - 2019-09-08 16:28:30,332: DEBUG - + exit 1
  - 2019-09-08 16:28:30,332: WARNING - [DEBUG]: DEBUG   - + declare -Ar args_array
  - 2019-09-08 16:28:30,332: WARNING - [DEBUG]: DEBUG   - + local message
  - 2019-09-08 16:28:30,332: WARNING - [DEBUG]: DEBUG   - + local ret_code
  - 2019-09-08 16:28:30,332: WARNING - [DEBUG]: DEBUG   - + ynh_handle_getopts_args '--message=Unable to install dependencies'
  - 2019-09-08 16:28:30,332: WARNING - [DEBUG]: DEBUG   - + set +x
  - 2019-09-08 16:28:30,333: WARNING - [DEBUG]: DEBUG   - + echo 'Unable to install dependencies'
  - 2019-09-08 16:28:30,333: WARNING - [DEBUG]: DEBUG   - + exit 1
  - 2019-09-08 16:28:30,333: WARNING - [DEBUG]: DEBUG   - + ynh_exit_properly
  - 2019-09-08 16:28:30,333: WARNING - 
metadata: 
  args: 
    app: onlyoffice
    args: domain=onlyoffice.domain.tld&path=/&nextclouddomain=cloud.domain.tld&is_public=no
    force: False
    label: None
    no_remove_on_failure: False
  ended_at: 2019-09-08 16:28:30
  env: 
    YNH_APP_ARG_DOMAIN: onlyoffice.domain.tld
    YNH_APP_ARG_IS_PUBLIC: 0
    YNH_APP_ARG_NEXTCLOUDDOMAIN: cloud.domain.tld
    YNH_APP_ARG_PATH: /
    YNH_APP_ID: onlyoffice
    YNH_APP_INSTANCE_NAME: onlyoffice
    YNH_APP_INSTANCE_NUMBER: 1
    YNH_CWD: /var/cache/yunohost/from_file/onlyoffice_ynh-07c565b882c288a4490302f2123dc0dc1e76a74e/scripts
    YNH_INTERFACE: cli
    YNH_STDINFO: /tmp/tmp1cG3gq/stdinfo
    YNH_STDRETURN: /tmp/tmpz3D_Ix/stdreturn
  error: An unexpected error occured: shell command return code: 1
  operation: app_install
  related_to: 
    - app
    - onlyoffice
  started_at: 2019-09-08 16:28:20
  success: False
metadata_path: /var/log/yunohost/categories/operation/20190908-142820-app_install-onlyoffice.yml
name: 20190908-142820-app_install-onlyoffice

Je suis aussi preneur d’idées pour résoudre ça : )